Index: i18n/English.ts
===================================================================
--- i18n/English.ts	(revision 5515c2c2a76cbe53019066185c149c9dc88736da)
+++ i18n/English.ts	(revision 5515c2c2a76cbe53019066185c149c9dc88736da)
@@ -0,0 +1,229 @@
+<?xml version="1.0" encoding="utf-8"?>
+<!DOCTYPE TS><TS version="1.1">
+<context encoding="UTF-8">
+    <name>MainWindow</name>
+    <message encoding="UTF-8">
+        <location filename="../resources/mainwindow.ui" line="19"/>
+        <source>Задача коммивояжера</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message encoding="UTF-8">
+        <location filename="../resources/mainwindow.ui" line="39"/>
+        <source>Результат</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message encoding="UTF-8">
+        <location filename="../resources/mainwindow.ui" line="69"/>
+        <source>Задание</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message encoding="UTF-8">
+        <location filename="../resources/mainwindow.ui" line="90"/>
+        <source>&amp;Вариант:</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message encoding="UTF-8">
+        <location filename="../resources/mainwindow.ui" line="110"/>
+        <source>&amp;Городов:</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message encoding="UTF-8">
+        <location filename="../resources/mainwindow.ui" line="166"/>
+        <source>Заполнить таблицу случайными значениями</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message encoding="UTF-8">
+        <location filename="../resources/mainwindow.ui" line="169"/>
+        <source>Случайно</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message encoding="UTF-8">
+        <location filename="../resources/mainwindow.ui" line="179"/>
+        <source>Решить текущую задачу</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message encoding="UTF-8">
+        <location filename="../resources/mainwindow.ui" line="182"/>
+        <source>Решить</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message encoding="UTF-8">
+        <location filename="../resources/mainwindow.ui" line="208"/>
+        <source>&amp;Файл</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message encoding="UTF-8">
+        <location filename="../resources/mainwindow.ui" line="212"/>
+        <source>Со&amp;хранить</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message encoding="UTF-8">
+        <location filename="../resources/mainwindow.ui" line="232"/>
+        <source>&amp;Настройки</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message encoding="UTF-8">
+        <location filename="../resources/mainwindow.ui" line="238"/>
+        <source>&amp;Помощь</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message encoding="UTF-8">
+        <location filename="../resources/mainwindow.ui" line="281"/>
+        <source>&amp;Настройка печати</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message encoding="UTF-8">
+        <location filename="../resources/mainwindow.ui" line="289"/>
+        <source>&amp;Печать...</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message encoding="UTF-8">
+        <location filename="../resources/mainwindow.ui" line="297"/>
+        <source>&amp;Ход решения</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message encoding="UTF-8">
+        <location filename="../resources/mainwindow.ui" line="302"/>
+        <source>&amp;Граф решения</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message encoding="UTF-8">
+        <location filename="../resources/mainwindow.ui" line="321"/>
+        <source>&amp;Создать</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message encoding="UTF-8">
+        <location filename="../resources/mainwindow.ui" line="332"/>
+        <source>&amp;Открыть</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message encoding="UTF-8">
+        <location filename="../resources/mainwindow.ui" line="343"/>
+        <source>&amp;Параметры</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message encoding="UTF-8">
+        <location filename="../resources/mainwindow.ui" line="351"/>
+        <source>&amp;Содежание</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message encoding="UTF-8">
+        <location filename="../resources/mainwindow.ui" line="359"/>
+        <source>&amp;Контекстная справка</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message encoding="UTF-8">
+        <location filename="../resources/mainwindow.ui" line="367"/>
+        <source>&amp;Про...</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message encoding="UTF-8">
+        <location filename="../resources/mainwindow.ui" line="375"/>
+        <source>В&amp;ыход</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message encoding="UTF-8">
+        <location filename="../resources/mainwindow.ui" line="378"/>
+        <source>Выйти из программы</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="../resources/mainwindow.ui" line="292"/>
+        <source>Ctrl+P</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="../resources/mainwindow.ui" line="313"/>
+        <source>Ctrl+S</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="../resources/mainwindow.ui" line="324"/>
+        <source>Ctrl+N</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="../resources/mainwindow.ui" line="335"/>
+        <source>Ctrl+O</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message encoding="UTF-8">
+        <location filename="../resources/mainwindow.ui" line="310"/>
+        <source>Сохранить &amp;все</source>
+        <translation type="unfinished"></translation>
+    </message>
+</context>
+<context>
+    <name>SettingsDialog</name>
+    <message encoding="UTF-8">
+        <location filename="../resources/settingsdialog.ui" line="19"/>
+        <source>Параметры</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="../resources/settingsdialog.ui" line="81"/>
+        <source>background-color: #0080C0</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message encoding="UTF-8">
+        <location filename="../resources/settingsdialog.ui" line="191"/>
+        <source>Случайные значения:</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message encoding="UTF-8">
+        <location filename="../resources/settingsdialog.ui" line="199"/>
+        <source>Ми&amp;нимум:</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message encoding="UTF-8">
+        <location filename="../resources/settingsdialog.ui" line="226"/>
+        <source>&amp;Максимум:</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message encoding="UTF-8">
+        <location filename="../resources/settingsdialog.ui" line="257"/>
+        <source>Настройки печати:</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message encoding="UTF-8">
+        <location filename="../resources/settingsdialog.ui" line="265"/>
+        <source>&amp;Левый отступ:</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message encoding="UTF-8">
+        <location filename="../resources/settingsdialog.ui" line="296"/>
+        <source>&amp;Шрифт...</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message encoding="UTF-8">
+        <location filename="../resources/settingsdialog.ui" line="314"/>
+        <source>Сохранять состояние и положение главного окна</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message encoding="UTF-8">
+        <location filename="../resources/settingsdialog.ui" line="384"/>
+        <source>Подсказка</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="../resources/settingsdialog.ui" line="403"/>
+        <source>&amp;OK</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message encoding="UTF-8">
+        <location filename="../resources/settingsdialog.ui" line="416"/>
+        <source>&amp;Отмена</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message encoding="UTF-8">
+        <location filename="../resources/settingsdialog.ui" line="365"/>
+        <source>Помощь</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message encoding="UTF-8">
+        <location filename="../resources/settingsdialog.ui" line="362"/>
+        <source>Получить помощь по настройкам</source>
+        <translation type="unfinished"></translation>
+    </message>
+</context>
+</TS>
Index: i18n/Ukrainian.ts
===================================================================
--- i18n/Ukrainian.ts	(revision 5515c2c2a76cbe53019066185c149c9dc88736da)
+++ i18n/Ukrainian.ts	(revision 5515c2c2a76cbe53019066185c149c9dc88736da)
@@ -0,0 +1,230 @@
+<?xml version="1.0" encoding="utf-8"?>
+<!DOCTYPE TS><TS version="1.1" language="uk">
+<defaultcodec></defaultcodec>
+<context encoding="UTF-8">
+    <name>MainWindow</name>
+    <message encoding="UTF-8">
+        <location filename="../resources/mainwindow.ui" line="19"/>
+        <source>Задача коммивояжера</source>
+        <translation>Задача комівояжера</translation>
+    </message>
+    <message encoding="UTF-8">
+        <location filename="../resources/mainwindow.ui" line="39"/>
+        <source>Результат</source>
+        <translation>Результат</translation>
+    </message>
+    <message encoding="UTF-8">
+        <location filename="../resources/mainwindow.ui" line="69"/>
+        <source>Задание</source>
+        <translation>Завдання</translation>
+    </message>
+    <message encoding="UTF-8">
+        <location filename="../resources/mainwindow.ui" line="90"/>
+        <source>&amp;Вариант:</source>
+        <translation>&amp;Варіант:</translation>
+    </message>
+    <message encoding="UTF-8">
+        <location filename="../resources/mainwindow.ui" line="110"/>
+        <source>&amp;Городов:</source>
+        <translation>&amp;Міст:</translation>
+    </message>
+    <message encoding="UTF-8">
+        <location filename="../resources/mainwindow.ui" line="166"/>
+        <source>Заполнить таблицу случайными значениями</source>
+        <translation>Заповнити таблицю випадковими значеннями</translation>
+    </message>
+    <message encoding="UTF-8">
+        <location filename="../resources/mainwindow.ui" line="169"/>
+        <source>Случайно</source>
+        <translation>Випадково</translation>
+    </message>
+    <message encoding="UTF-8">
+        <location filename="../resources/mainwindow.ui" line="179"/>
+        <source>Решить текущую задачу</source>
+        <translation>Розв&apos;язати поточну задачу</translation>
+    </message>
+    <message encoding="UTF-8">
+        <location filename="../resources/mainwindow.ui" line="182"/>
+        <source>Решить</source>
+        <translation>Розв&apos;язати</translation>
+    </message>
+    <message encoding="UTF-8">
+        <location filename="../resources/mainwindow.ui" line="208"/>
+        <source>&amp;Файл</source>
+        <translation>&amp;Файл</translation>
+    </message>
+    <message encoding="UTF-8">
+        <location filename="../resources/mainwindow.ui" line="212"/>
+        <source>Со&amp;хранить</source>
+        <translation>&amp;Зберегти</translation>
+    </message>
+    <message encoding="UTF-8">
+        <location filename="../resources/mainwindow.ui" line="232"/>
+        <source>&amp;Настройки</source>
+        <translation>&amp;Налагодження</translation>
+    </message>
+    <message encoding="UTF-8">
+        <location filename="../resources/mainwindow.ui" line="238"/>
+        <source>&amp;Помощь</source>
+        <translation>&amp;Допомога</translation>
+    </message>
+    <message encoding="UTF-8">
+        <location filename="../resources/mainwindow.ui" line="281"/>
+        <source>&amp;Настройка печати</source>
+        <translation>&amp;Налагодження друку</translation>
+    </message>
+    <message encoding="UTF-8">
+        <location filename="../resources/mainwindow.ui" line="289"/>
+        <source>&amp;Печать...</source>
+        <translation>&amp;Друк...</translation>
+    </message>
+    <message encoding="UTF-8">
+        <location filename="../resources/mainwindow.ui" line="297"/>
+        <source>&amp;Ход решения</source>
+        <translation>&amp;Хід розв&apos;язку</translation>
+    </message>
+    <message encoding="UTF-8">
+        <location filename="../resources/mainwindow.ui" line="302"/>
+        <source>&amp;Граф решения</source>
+        <translation>&amp;Граф розв&apos;язку</translation>
+    </message>
+    <message encoding="UTF-8">
+        <location filename="../resources/mainwindow.ui" line="321"/>
+        <source>&amp;Создать</source>
+        <translation>&amp;Створити</translation>
+    </message>
+    <message encoding="UTF-8">
+        <location filename="../resources/mainwindow.ui" line="332"/>
+        <source>&amp;Открыть</source>
+        <translation>&amp;Відкрити</translation>
+    </message>
+    <message encoding="UTF-8">
+        <location filename="../resources/mainwindow.ui" line="343"/>
+        <source>&amp;Параметры</source>
+        <translation>&amp;Параметри</translation>
+    </message>
+    <message encoding="UTF-8">
+        <location filename="../resources/mainwindow.ui" line="351"/>
+        <source>&amp;Содежание</source>
+        <translation>&amp;Зміст</translation>
+    </message>
+    <message encoding="UTF-8">
+        <location filename="../resources/mainwindow.ui" line="359"/>
+        <source>&amp;Контекстная справка</source>
+        <translation>&amp;Контекстна допомога</translation>
+    </message>
+    <message encoding="UTF-8">
+        <location filename="../resources/mainwindow.ui" line="367"/>
+        <source>&amp;Про...</source>
+        <translation>&amp;Про...</translation>
+    </message>
+    <message encoding="UTF-8">
+        <location filename="../resources/mainwindow.ui" line="375"/>
+        <source>В&amp;ыход</source>
+        <translation>В&amp;ихід</translation>
+    </message>
+    <message encoding="UTF-8">
+        <location filename="../resources/mainwindow.ui" line="378"/>
+        <source>Выйти из программы</source>
+        <translation>Вийти з програми</translation>
+    </message>
+    <message>
+        <location filename="../resources/mainwindow.ui" line="292"/>
+        <source>Ctrl+P</source>
+        <translation></translation>
+    </message>
+    <message>
+        <location filename="../resources/mainwindow.ui" line="313"/>
+        <source>Ctrl+S</source>
+        <translation></translation>
+    </message>
+    <message>
+        <location filename="../resources/mainwindow.ui" line="324"/>
+        <source>Ctrl+N</source>
+        <translation></translation>
+    </message>
+    <message>
+        <location filename="../resources/mainwindow.ui" line="335"/>
+        <source>Ctrl+O</source>
+        <translation></translation>
+    </message>
+    <message encoding="UTF-8">
+        <location filename="../resources/mainwindow.ui" line="310"/>
+        <source>Сохранить &amp;все</source>
+        <translation>Зберегти &amp;все</translation>
+    </message>
+</context>
+<context>
+    <name>SettingsDialog</name>
+    <message encoding="UTF-8">
+        <location filename="../resources/settingsdialog.ui" line="19"/>
+        <source>Параметры</source>
+        <translation>Параметри</translation>
+    </message>
+    <message>
+        <location filename="../resources/settingsdialog.ui" line="81"/>
+        <source>background-color: #0080C0</source>
+        <translation>background-color: #0080C0</translation>
+    </message>
+    <message encoding="UTF-8">
+        <location filename="../resources/settingsdialog.ui" line="191"/>
+        <source>Случайные значения:</source>
+        <translation>Випадкові значення:</translation>
+    </message>
+    <message encoding="UTF-8">
+        <location filename="../resources/settingsdialog.ui" line="199"/>
+        <source>Ми&amp;нимум:</source>
+        <translation>Мі&amp;німум:</translation>
+    </message>
+    <message encoding="UTF-8">
+        <location filename="../resources/settingsdialog.ui" line="226"/>
+        <source>&amp;Максимум:</source>
+        <translation>&amp;Максимум:</translation>
+    </message>
+    <message encoding="UTF-8">
+        <location filename="../resources/settingsdialog.ui" line="257"/>
+        <source>Настройки печати:</source>
+        <translation>Налагодження друку:</translation>
+    </message>
+    <message encoding="UTF-8">
+        <location filename="../resources/settingsdialog.ui" line="265"/>
+        <source>&amp;Левый отступ:</source>
+        <translation>&amp;Лівий відступ:</translation>
+    </message>
+    <message encoding="UTF-8">
+        <location filename="../resources/settingsdialog.ui" line="296"/>
+        <source>&amp;Шрифт...</source>
+        <translation>&amp;Шрифт...</translation>
+    </message>
+    <message encoding="UTF-8">
+        <location filename="../resources/settingsdialog.ui" line="314"/>
+        <source>Сохранять состояние и положение главного окна</source>
+        <translation>Зберегти стан та розміщення головного вікна</translation>
+    </message>
+    <message encoding="UTF-8">
+        <location filename="../resources/settingsdialog.ui" line="384"/>
+        <source>Подсказка</source>
+        <translation>Підказка</translation>
+    </message>
+    <message>
+        <location filename="../resources/settingsdialog.ui" line="403"/>
+        <source>&amp;OK</source>
+        <translation>&amp;OK</translation>
+    </message>
+    <message encoding="UTF-8">
+        <location filename="../resources/settingsdialog.ui" line="416"/>
+        <source>&amp;Отмена</source>
+        <translation>&amp;Скасувати</translation>
+    </message>
+    <message encoding="UTF-8">
+        <location filename="../resources/settingsdialog.ui" line="365"/>
+        <source>Помощь</source>
+        <translation>Допомога</translation>
+    </message>
+    <message encoding="UTF-8">
+        <location filename="../resources/settingsdialog.ui" line="362"/>
+        <source>Получить помощь по настройкам</source>
+        <translation>Отримати допомогу по налагодженням</translation>
+    </message>
+</context>
+</TS>
